/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.owl.ui.menu;

import edu.stanford.smi.protegex.owl.model.OWLModel;
import edu.stanford.smi.protegex.owl.resource.OWLText;
import edu.stanford.smi.protegex.owl.ui.ProtegeUI;
import edu.stanford.smi.protegex.owl.ui.actions.AbstractOWLModelAction;
import edu.stanford.smi.protegex.owl.ui.actions.OWLModelActionConstants;

/**
 * @author Holger Knublauch  <holger@knublauch.com>
 */
public class OWLPluginVersionInfoAction extends AbstractOWLModelAction {

    public String getMenubarPath() {
        return OWLModelActionConstants.HELP_GROUP;
    }

    public String getName() {
        return "Prot\u00E9g\u00E9-OWL Version Info...";
    }

    public void run(OWLModel owlModel) {
        ProtegeUI.getModalDialogFactory().showMessageDialog(owlModel,
        OWLText.getName() + " editor, version " + OWLText.getVersion() +
        " (Build " + OWLText.getBuildNumber() + ")\n\n" + "The " + OWLText.getName() +
       	" editor is being developed at Stanford Medical Informatics in collaboration\n" +
        "with the Medical Informatics Group at the University of Manchester.\n" +
        "Some toolbar icons were inspired by those from Eclipse and IntelliJ IDEA.\n\n" +
        "Open source from: http://smi-protege.stanford.edu/repos/protege/owl/trunk\n\n",
        "About Prot\u00E9g\u00E9-OWL");
    }
}
