/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.owlx.examples.javaDemo.model;

import edu.stanford.smi.protegex.owl.model.RDFIndividual;
import edu.stanford.smi.protegex.owl.model.RDFProperty;

import java.util.Collection;
import java.util.Iterator;

/**
 * Generated by Protege-OWL  (http://protege.stanford.edu/plugins/owl).
 * Source OWL Class: http://www.owl-ontologies.com/javaDemo.owl#Customer
 *
 * @version generated on Sat Feb 19 17:10:28 EST 2005
 */
public interface Customer_ extends RDFIndividual {

    // Property http://www.owl-ontologies.com/javaDemo.owl#firstName


    String getFirstName();


    RDFProperty getFirstNameProperty();


    boolean hasFirstName();


    void setFirstName(String newFirstName);

    // Property http://www.owl-ontologies.com/javaDemo.owl#lastName


    String getLastName();


    RDFProperty getLastNameProperty();


    boolean hasLastName();


    void setLastName(String newLastName);

    // Property http://www.owl-ontologies.com/javaDemo.owl#purchases


    Collection getPurchases();


    RDFProperty getPurchasesProperty();


    boolean hasPurchases();


    Iterator listPurchases();


    void addPurchases(Purchase newPurchases);


    void removePurchases(Purchase oldPurchases);


    void setPurchases(Collection newPurchases);

    // Property http://www.owl-ontologies.com/javaDemo.owl#zipCode


    int getZipCode();


    RDFProperty getZipCodeProperty();


    boolean hasZipCode();


    void setZipCode(int newZipCode);
}
